Package org.jfree.layouting.renderer.model

## Class ComputedLayoutProperties

- java.lang.Object
- - org.jfree.layouting.renderer.model.ComputedLayoutProperties

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ComputedLayoutProperties
      extends java.lang.Object
      implements java.io.Serializable

  Immutable version of the node-layout properties.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComputedLayoutProperties​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RenderLength` | `getBlockContextWidth​()` |
    `long` | `getBorderBottom​()` |
    `long` | `getBorderLeft​()` |
    `long` | `getBorderRight​()` |
    `long` | `getBorderTop​()` |
    `RenderLength` | `getComputedWidth​()` |
    `long` | `getMarginBottom​()` |
    `long` | `getMarginLeft​()` |
    `long` | `getMarginRight​()` |
    `long` | `getMarginTop​()` |
    `long` | `getPaddingBottom​()` |
    `long` | `getPaddingLeft​()` |
    `long` | `getPaddingRight​()` |
    `long` | `getPaddingTop​()` |
    `void` | `setBlockContextWidth​(RenderLength blockContextWidth)` |
    `void` | `setBorderBottom​(long borderBottom)` |
    `void` | `setBorderLeft​(long borderLeft)` |
    `void` | `setBorderRight​(long borderRight)` |
    `void` | `setBorderTop​(long borderTop)` |
    `void` | `setComputedWidth​(RenderLength computedWidth)` |
    `void` | `setMarginBottom​(long marginBottom)` |
    `void` | `setMarginLeft​(long marginLeft)` |
    `void` | `setMarginRight​(long marginRight)` |
    `void` | `setMarginTop​(long marginTop)` |
    `void` | `setPaddingBottom​(long paddingBottom)` |
    `void` | `setPaddingLeft​(long paddingLeft)` |
    `void` | `setPaddingRight​(long paddingRight)` |
    `void` | `setPaddingTop​(long paddingTop)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputedLayoutProperties

          public ComputedLayoutProperties​()

  - ### Method Detail

    - #### setBlockContextWidth

          public void setBlockContextWidth​(RenderLength blockContextWidth)

    - #### setComputedWidth

          public void setComputedWidth​(RenderLength computedWidth)

    - #### getBlockContextWidth

          public RenderLength getBlockContextWidth​()

    - #### getComputedWidth

          public RenderLength getComputedWidth​()

    - #### getMarginLeft

          public long getMarginLeft​()

    - #### setMarginLeft

          public void setMarginLeft​(long marginLeft)

    - #### getMarginRight

          public long getMarginRight​()

    - #### setMarginRight

          public void setMarginRight​(long marginRight)

    - #### getMarginTop

          public long getMarginTop​()

    - #### setMarginTop

          public void setMarginTop​(long marginTop)

    - #### getMarginBottom

          public long getMarginBottom​()

    - #### setMarginBottom

          public void setMarginBottom​(long marginBottom)

    - #### getPaddingLeft

          public long getPaddingLeft​()

    - #### setPaddingLeft

          public void setPaddingLeft​(long paddingLeft)

    - #### getPaddingTop

          public long getPaddingTop​()

    - #### setPaddingTop

          public void setPaddingTop​(long paddingTop)

    - #### getPaddingRight

          public long getPaddingRight​()

    - #### setPaddingRight

          public void setPaddingRight​(long paddingRight)

    - #### getPaddingBottom

          public long getPaddingBottom​()

    - #### setPaddingBottom

          public void setPaddingBottom​(long paddingBottom)

    - #### getBorderLeft

          public long getBorderLeft​()

    - #### setBorderLeft

          public void setBorderLeft​(long borderLeft)

    - #### getBorderRight

          public long getBorderRight​()

    - #### setBorderRight

          public void setBorderRight​(long borderRight)

    - #### getBorderTop

          public long getBorderTop​()

    - #### setBorderTop

          public void setBorderTop​(long borderTop)

    - #### getBorderBottom

          public long getBorderBottom​()

    - #### setBorderBottom

          public void setBorderBottom​(long borderBottom)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`